Newsletter should support editing previous revisions
Closed, ResolvedPublic

Description

Currently, Newsletter throws the following error when a user attempts to edit a previous revision.

"Editing a previous revision is not supported by the Newsletter extension. Please update the latest revision instead"

We should support this instead of avoiding it.

MtDu created this task.Aug 12 2017, 8:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2017, 8:42 PM

Change 371648 had a related patch set uploaded (by MtDu; owner: MtDu):
[mediawiki/extensions/Newsletter@master] Support editing previous revisions

https://gerrit.wikimedia.org/r/371648

Change 371648 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Support editing previous revisions

https://gerrit.wikimedia.org/r/371648

Bawolff closed this task as Resolved.Aug 12 2017, 10:52 PM
Qgil awarded a token.Aug 13 2017, 6:03 PM